var documenterSearchIndex = {"docs":
[{"location":"api/#API","page":"API","title":"API","text":"","category":"section"},{"location":"api/","page":"API","title":"API","text":"","category":"page"},{"location":"api/#Muon-light","page":"API","title":"Muon light","text":"","category":"section"},{"location":"api/","page":"API","title":"API","text":"directlightfrommuon\nscatteredlightfrommuon","category":"page"},{"location":"api/#LumenManufaktur.directlightfrommuon","page":"API","title":"LumenManufaktur.directlightfrommuon","text":"directlightfrommuon(params::LMParameters, pmt::PMTModel, R, θ, ϕ)\n\nReturns the number of photo-electrons from direct Cherenkov light from a muon with a closest distance of R [m] to the PMT and the angles θ [rad] (zenith) and ϕ [rad] (azimuth) with respect to the PMT axis.\n\nArguments\n\nR: (closest) distance [m] between muon and PMT\nϕ: zenith angle [rad] which is 0 when the PMT points away from the muon track (in x-direction) and rotates counter clockwise to the y-axis when viewed from above, while the z-axis points upwards.\nθ: azimuth angle [rad] which is 0 when the PMT points upwards (along the z-axis) and π/2 when pointing downwards. Between 0 and π/2, the PMT points to the z-axis\n\n\n\n\n\ndirectlightfrommuon(params::LMParameters, pmt::PMTModel, R, θ, ϕ, Δt)\n\nProbability density function for direct Cherenkov light from a muon with a closest distance of R [m] to the PMT, the angles θ [rad] (zenith) and ϕ [rad] (azimuth) with respect to the PMT axis and a time difference Δt [ns] relative to direct Cherenkov light. Returns dP/dt [npe/ns].\n\nArguments\n\nparams: parameters of the setup\nR: (closest) distance [m] between muon and PMT\nϕ: zenith angle [rad] which is 0 when the PMT points away from the muon track (in x-direction) and rotates counter clockwise to the y-axis when viewed from above, while the z-axis points upwards.\nθ: azimuth angle [rad] which is 0 when the PMT points upwards (along the z-axis) and π/2 when pointing downwards. Between 0 and π/2, the PMT points to the z-axis\nΔt: time difference [ns] relative to the Cherenkov light\n\n\n\n\n\n","category":"function"},{"location":"api/#LumenManufaktur.scatteredlightfrommuon","page":"API","title":"LumenManufaktur.scatteredlightfrommuon","text":"scatteredlightfrommuon(params::LMParameters, pmt::PMTModel, D, cd, θ, ϕ, Δt)\n\nProbability density function for scattered light from muon. Returns [d^2P/dt/dx].\n\nArguments\n\nparams: parameters of the setup\npmt: PMT model\nD: distance between track segment and PMT [m]\ncd: cosine angle of muon direction and track segment - PMT position\nθ: zenith  angle orientation PMT [rad]\nϕ: azimuth angle orientation PMT [rad]\nΔt: time difference relative to direct Cherenkov light\n\n\n\n\n\n","category":"function"},{"location":"examples/directlightfrommuon/#Direct-light-from-muon","page":"Direct light from muon","title":"Direct light from muon","text":"","category":"section"},{"location":"examples/directlightfrommuon/","page":"Direct light from muon","title":"Direct light from muon","text":"The following example demonstrates how to calculate the number of photoelectrons for a given environment and PMT.","category":"page"},{"location":"examples/directlightfrommuon/","page":"Direct light from muon","title":"Direct light from muon","text":"using LumenManufaktur","category":"page"},{"location":"examples/directlightfrommuon/","page":"Direct light from muon","title":"Direct light from muon","text":"Let's create the parameters with the defaults but override the dispersion model with the one used in KM3NeT ORCA detectors in the Mediterranean:","category":"page"},{"location":"examples/directlightfrommuon/","page":"Direct light from muon","title":"Direct light from muon","text":"params = LMParameters(dispersion_model=DispersionORCA)","category":"page"},{"location":"examples/directlightfrommuon/","page":"Direct light from muon","title":"Direct light from muon","text":"To calculate the number of photoelectrons from direct light induced by a muon at the closest distance of R=23.5, with a standard KM3NeT PMT pointing in the direction of θ=π and ϕ=π/2, we call directlightfrommuon():","category":"page"},{"location":"examples/directlightfrommuon/","page":"Direct light from muon","title":"Direct light from muon","text":"directlightfrommuon(params, LumenManufaktur.KM3NeTPMT, 23.5, π, π/2)","category":"page"},{"location":"#LumenManufaktur.jl","page":"Home","title":"LumenManufaktur.jl","text":"","category":"section"},{"location":"","page":"Home","title":"Home","text":"This is the documentation of the awesome LumenManufaktur.jl Julia package.","category":"page"},{"location":"","page":"Home","title":"Home","text":"note: Note\nThis package is still under development!","category":"page"},{"location":"#Installation","page":"Home","title":"Installation","text":"","category":"section"},{"location":"","page":"Home","title":"Home","text":"LumenManufaktur.jl is not an officially registered Julia package but it's available on the KM3NeT Julia registry. To add the KM3NeT Julia registry to your local Julia registry list, follow the instructions in its README or simply do","category":"page"},{"location":"","page":"Home","title":"Home","text":"git clone https://git.km3net.de/common/julia-registry ~/.julia/registries/KM3NeT","category":"page"},{"location":"","page":"Home","title":"Home","text":"After that, you can instal LumenManufaktur.jl just like any other Julia package:","category":"page"},{"location":"","page":"Home","title":"Home","text":"julia> import Pkg; Pkg.add(\"LumenManufaktur\")","category":"page"},{"location":"#Quickstart","page":"Home","title":"Quickstart","text":"","category":"section"},{"location":"","page":"Home","title":"Home","text":"julia> using LumenManufaktur\n","category":"page"}]
}
